# Producer

## Summary

| Members                                                                                                                      | Descriptions                                 |
| ---------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- |
| `public string` [`owner`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a9df6a3bec9110211ff19f1f36db82e42)           | name of the Owner of the Producer            |
| `public double` [`total_votes`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a1b0280ce16b482bba5a3bef8dc19778c)     | Total votes this producer received.          |
| `public string` [`producer_key`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a59632b0403190f88759411793f6a4c2b)    | Public Key of the Producer.                  |
| `public bool` [`is_active`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a407c3efba665d276a38229f905bef352)         | true if Producer is active, false if not     |
| `public string` [`url`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1aa03c1ef4c41f36b048cf58d5aade7653)             | Url pointing to the website of the producer. |
| `public UInt32` [`unpaid_blocks`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a850cf2f5e048bae186a77e02dbaddac4)   | Number of unpaid Blocks.                     |
| `public UInt64` [`last_claim_time`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1adf88870d7c5acc1c0466c0d11d9af163) | Time the Producer last claimed.              |
| `public UInt16` [`location`](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1af6e8f5af76d454e3aa60a9bac5c2a913)        | Location of the Producer (ISO-Code)          |

## Members

**`public string`** [**`owner`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a9df6a3bec9110211ff19f1f36db82e42)

name of the Owner of the Producer

**`public double`** [**`total_votes`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a1b0280ce16b482bba5a3bef8dc19778c)

Total votes this producer received.

**`public string`** [**`producer_key`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a59632b0403190f88759411793f6a4c2b)

Public Key of the Producer.

**`public bool`** [**`is_active`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a407c3efba665d276a38229f905bef352)

true if Producer is active, false if not

**`public string`** [**`url`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1aa03c1ef4c41f36b048cf58d5aade7653)

Url pointing to the website of the producer.

**`public UInt32`** [**`unpaid_blocks`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1a850cf2f5e048bae186a77e02dbaddac4)

Number of unpaid Blocks.

**`public UInt64`** [**`last_claim_time`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1adf88870d7c5acc1c0466c0d11d9af163)

Time the Producer last claimed.

**`public UInt16`** [**`location`**](#class_eos_sharp_1_1_core_1_1_api_1_1v1_1_1_producer_1af6e8f5af76d454e3aa60a9bac5c2a913)

Location of the Producer (ISO-Code)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/eossharp/api-docs/eossharp-core/eossharp-core-api-v1/eossharp-core-api-v1-producer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
